Subject: bug#10323: 24.0.92; docstring diary-date-forms

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Jun 2021 09:26:37 +0200

"Roland Winkler" <[email-masked]> writes:

> Maybe this is too pedantic: If one tries to separate a diary entry
> into the date and the text part, the question comes up: what about
> the separator (usually some whitespace character(s)) between the
> date and the text part? The docstring of diary-date-forms says
>
>   The patterns on the list must be MUTUALLY EXCLUSIVE and should not match
>   any portion of the diary entry itself, just the date component.
>
> Originally I thought this would exclude the separator from the date
> component (so that I had to deal with it myself). But the patterns
> are designed the other way round. For the regexp matcher the
> separator is an important part of the date component. So I suggest
> to modify the docstring of diary-date-forms to say something like
>
>   The patterns on the list must be MUTUALLY EXCLUSIVE and should not match
>   any portion of the diary entry itself, just the date component.
>   Here the first character following the date itself is considered part of
>   the date.

(I'm going through old bug reports that unfortunately got no response at
the time.)

This was nine years ago, but the doc string is still the same here.
And...  I'm not quite sure I understand either the current doc string or
the proposed enhancement, really.  :-)

> Actually, this is not completely true either, and it becomes relevant if
> one wants to indent the diary entries for which the `backup' mechanism
> of diary-european-date-forms applies.  If one has the diary entries
>
> 18/12/2011$  foo bar
> 18/12/2011   foo baz
> 18 December  foo bar
>
> the first two entries are indented as one might expect it; yet the third
> one is not indented (i.e., with `backup' all whitespace characters 
> following immediately the date become part of the date)

Perhaps something from this discussion of the problem should be added to
the doc string?  If so, please do go ahead and modify it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no